﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities
{
    public class AdministratorEntity
    {
        /// <summary>
        /// define an entity for an administrator
        /// properties :
        ///     Id : identifier in the database
        ///     Username : username for a administrator
        ///     HashedPassword : hash of the password of the administrator
        /// </summary>
        [Key]
        public int? Id { get; set; }
        public string Username { get; set; } = null!;
        public string HashedPassword { get; set; } = null!;
    }
}
