﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities
{
    public class PlayerEntity
    {
        /// <summary>
        /// define an entity for a player
        /// properties :
        ///     Id : identifier in the database
        ///     Nickname : nickname for the player
        ///     HashedPassword : hashed of the password of the player
        /// </summary>
        [Key]
        public int? Id { get; set; }
        public string Nickname { get; set; } = null!;
        public string HashedPassword { get; set; } = null!;
    }
}
